from setuptools import setup

setup(
    name='obsctl',
    version='0.3.12',
    license='GPLv2+',
    description='Unified high level interface for common actions with the Open Build Service',
    keywords='openbuildservice obsctl osc packaging',
    # From https://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers=[
        # Development status
        'Development Status :: 4 - Beta',
        # Target audience
        'Intended Audience :: Developers',
        # Type of software
        'Topic :: Software Development :: Build Tools',
        'Topic :: System :: Archiving :: Packaging',
        # Kind of software
        'Environment :: Console',
        # License (must match license field)
        'License :: OSI Approved :: GNU General Public License v2 or later (GPLv2+)',
        # Operating systems supported
        'Operating System :: POSIX :: Linux',
        # Supported Python versions (sadly, osc forces us to Py2 only)
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2 :: Only',
        'Programming Language :: Python :: 2.7',
        ],
    url='https://gitlab.datto.net/DevOps/obsctl',
    author='Neal Gompa, Mark Bluemer',
    author_email='ngompa@datto.com, mbluemer@datto.com',
    maintainer='Neal Gompa',
    maintainer_email='ngompa@datto.com',
    packages=['obsctl', 'obsctl.commands', 'obsctl.lib'],
    include_package_data=True,
    install_requires=[
        'click',
        'osc',
        'pathlib',
        'setuptools',
        'lxml',
    ],
    entry_points='''
        [console_scripts]
        obsctl=obsctl.cli:cli
    ''',
)
